<?php

namespace App\ViewModels\Pagamento\PagamentoComandaFechamentoRegistrationViewModel;

use CodeIgniter\Entity;

class PagamentoComandaFechamentoViewModel extends Entity {
	
	protected $id;
	protected $comanda_id;
	protected $tipo_fechamento;
	protected $valor;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;
	protected $atualizado_por;
	protected $data_atualizacao;
	protected $hora_atualizacao;
	
	
	public static function builder(): PagamentoComandaFechamentoViewModelBuilder {
		
		return (new PagamentoComandaFechamentoViewModelBuilder);
		 
	}
	/**
	 * @return mixed
	 */
	public function getId() {

		return $this->id;
	}

	/**
	 * @return mixed
	 */
	public function getComandaId() {
		
		return $this->comanda_id;
	}

	/**
	 * @return mixed
	 */
	public function getTipoFechamento() {

		return $this->tipo_fechamento;
	}


	/**
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;
	}


	/**
	 * @return mixed
	 */
	public function getCriado_por() {

		return $this->criado_por;
	}


	/**
	 * @return mixed
	 */
	public function getDataCriacao() {

		return $this->data_criacao;
	}


	/**
	 * @return mixed
	 */
	public function getHoraCriacao() {

		return $this->hora_criacao;
	}


	/**
	 * @return mixed
	 */
	public function getAtualizado_por() {

		return $this->atualizado_por;
	}


	/**
	 * @return mixed
	 */
	public function getDataAtualizacao() {

		return $this->data_atualizacao;
	}


	/**
	 * @return mixed
	 */
	public function getHoraAtualizacao() {

		return $this->hora_atualizacao;
	}


	/**
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;
	}

	
	/**
	 * @param mixed $comanda_id
	 */
	public function setComandaId($comanda_id) {
		
		$this->comanda_id = $comanda_id;
	}
	

	/**
	 * @param mixed $tipo_fechamento
	 */
	public function setTipoFechamento($tipo_fechamento) {

		$this->tipo_fechamento = $tipo_fechamento;
	}


	/**
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;
	}


	/**
	 * @param mixed $criado_por
	 */
	public function setCriado_por($criado_por) {

		$this->criado_por = $criado_por;
	}


	/**
	 * @param mixed $data_criacao
	 */
	public function setDataCriacao($data_criacao) {

		$this->data_criacao = $data_criacao;
	}


	/**
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao) {

		$this->hora_criacao = $hora_criacao;
	}


	/**
	 * @param mixed $atualizado_por
	 */
	public function setAtualizado_por($atualizado_por) {

		$this->atualizado_por = $atualizado_por;
	}


	/**
	 * @param mixed $data_atualizacao
	 */
	public function setDataAtualizacao($data_atualizacao) {

		$this->data_atualizacao = $data_atualizacao;
	}


	/**
	 * @param mixed $hora_atualizacao
	 */
	public function setHoraAtualizacao($hora_atualizacao) {

		$this->hora_atualizacao = $hora_atualizacao;
	}


	
	
}

